## gabedit 2.5.1+ds

=== src/Crystallography/Makefile ===
OBJECTS = Crystallo.o UtilsCIF.o  GabeditSPG.o GabeditKPoints.o

include ../../CONFIG
CFLAGS =  $(COMMONCFLAGS) $(GTKCFLAGS) $(OGLCFLAGS)

all: compiling 

%.o : %.c
	$(CC) -c $(CFLAGS) $< -o $@

compiling: $(OBJECTS)

clean:
	@$(RM) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 

#make dependance
SRCS = $(OBJECTS:%.o=%.c)
dep :
	gcc -MM $(SRCS) > Dep.mk

-include Dep.mk

=== src/DeMon/Makefile ===
OBJECTS = DeMon.o DeMonMolecule.o DeMonKeywords.o DeMonGuess.o DeMonBasis.o DeMonGlobal.o

include ../../CONFIG
CFLAGS =  $(COMMONCFLAGS) $(GTKCFLAGS)

all: compiling 

%.o : %.c
	$(CC) -c $(CFLAGS) $< -o $@

compiling: $(OBJECTS)

clean:
	@$(RM) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 

#make dependance
SRCS = $(OBJECTS:%.o=%.c)
dep :
	gcc -MM $(SRCS) > Dep.mk

-include Dep.mk

=== src/Display/Makefile ===
OBJECTS = GeomOrbXYZ.o BondsOrb.o GeomDraw.o TriangleDraw.o UtilsOrb.o Basis.o Grid.o IsoSurface.o ViewOrb.o GLArea.o OrbitalsGamess.o OrbitalsMolpro.o OrbitalsOrca.o OrbitalsQChem.o OrbitalsNWChem.o OrbitalsMopac.o OrbitalsNBO.o Orbitals.o StatusOrb.o AtomicOrbitals.o Images.o GridPlans.o Contours.o ContoursDraw.o PreferencesOrb.o GridCube.o GridAdfOrbitals.o GridAdfDensity.o Textures.o Dipole.o AxisGL.o PrincipalAxisGL.o Vibration.o VibrationDraw.o VibrationLocal.o ColorMap.o GridMolcas.o GridQChem.o AnimationRotation.o AnimationIsoSurface.o AnimationContours.o AnimationPlanesMapped.o AnimationGeomConv.o AnimationMD.o PovrayGL.o ContoursPov.o PlanesMappedDraw.o PlanesMapped.o PlanesMappedPov.o  SurfacesPov.o RingsPov.o MenuToolBarGL.o LabelsGL.o RingsOrb.o  ExportGL.o CaptureOrbitals.o IntegralOrbitals.o GridCP.o AnimationGrids.o NCI.o ReactivityIndices.o wfx.o GlobalOrb.o

include ../../CONFIG

CFLAGS =  $(COMMONCFLAGS)  $(GTKCFLAGS) $(OGLCFLAGS)

all: compiling

%.o : %.c
	$(CC) -c $(CFLAGS) $< -o $@

compiling: $(OBJECTS)

clean:
	@$(RM) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 

#make dependance
SRCS = $(OBJECTS:%.o=%.c)
dep :
	gcc -MM $(SRCS) > Dep.mk

-include Dep.mk

=== src/FireFly/Makefile ===
OBJECTS = FireFly.o FireFlyMolecule.o FireFlyControl.o FireFlyBasis.o FireFlyGuess.o FireFlySCF.o FireFlyGlobal.o

include ../../CONFIG
CFLAGS =  $(COMMONCFLAGS) $(GTKCFLAGS)

all: compiling 

%.o : %.c
	$(CC) -c $(CFLAGS) $< -o $@

compiling: $(OBJECTS)

clean:
	@$(RM) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 

#make dependance
SRCS = $(OBJECTS:%.o=%.c)
dep :
	gcc -MM $(SRCS) > Dep.mk

-include Dep.mk

=== src/Gamess/Makefile ===
OBJECTS = Gamess.o GamessMolecule.o GamessControl.o GamessBasis.o GamessGuess.o GamessSCF.o GamessGlobal.o

include ../../CONFIG
CFLAGS =  $(COMMONCFLAGS) $(GTKCFLAGS)

all: compiling 

%.o : %.c
	$(CC) -c $(CFLAGS) $< -o $@

compiling: $(OBJECTS)

clean:
	@$(RM) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 

#make dependance
SRCS = $(OBJECTS:%.o=%.c)
dep :
	gcc -MM $(SRCS) > Dep.mk

-include Dep.mk

=== src/Geometry/Makefile ===
OBJECTS = EnergiesCurves.o Fragments.o GeomConversion.o GeomXYZ.o GeomZmatrix.o ImagesGeom.o InterfaceGeom.o Measure.o Povray.o ResultsAnalise.o GeomSymmetry.o RotFragments.o BuildLinear.o BuildRing.o BuildRoZPhi.o BuildPolyPeptide.o FragmentsPPD.o FragmentsPSC.o FragmentsPNA.o FragmentsCrystal.o BuildPolySaccharide.o BuildPolyNucleicAcid.o BuildNanoTube.o BuildCrystal.o PersonalFragments.o SavePersonalFragments.o LoadPersonalFragments.o FragmentsSelector.o OpenBabel.o MenuToolBarGeom.o PreviewGeom.o FragmentsTree.o ExportGeom.o TreeMolecule.o DrawGeomGL.o  AxesGeomGL.o DrawGeomCairo.o SelectionDlg.o GeomGlobal.o

include ../../CONFIG
CFLAGS =  $(COMMONCFLAGS) $(GTKCFLAGS)

all: compiling 

%.o : %.c
	$(CC) -c $(CFLAGS) $< -o $@

compiling: $(OBJECTS)

clean:
	@$(RM) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 

#make dependance
SRCS = $(OBJECTS:%.o=%.c)
dep :
	gcc -MM $(SRCS) > Dep.mk

-include Dep.mk

=== src/MPQC/Makefile ===
OBJECTS = MPQC.o MPQCMolecule.o MPQCMole.o MPQCGuessWaveFunction.o MPQCMpqc.o MPQCBasis.o MPQCLib.o MPQCBasisLibrary.o MPQCFunctionals.o MPQCOptimization.o MPQCProperties.o MPQCGlobal.o

include ../../CONFIG
CFLAGS =  $(COMMONCFLAGS) $(GTKCFLAGS)

all: compiling 

%.o : %.c
	$(CC) -c $(CFLAGS) $< -o $@

compiling: $(OBJECTS)

clean:
	@$(RM) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 

#make dependance
SRCS = $(OBJECTS:%.o=%.c)
dep :
	gcc -MM $(SRCS) > Dep.mk

-include Dep.mk

=== src/Molcas/Makefile ===
OBJECTS = Molcas.o MolcasGateWay.o MolcasSeward.o MolcasScf.o MolcasGridIT.o MolcasOptimization.o MolcasVariables.o MolcasLib.o MolcasBasisLibrary.o MolcasBasis.o MolcasGlobal.o

include ../../CONFIG
CFLAGS =  $(COMMONCFLAGS) $(GTKCFLAGS)

all: compiling 

%.o : %.c
	$(CC) -c $(CFLAGS) $< -o $@

compiling: $(OBJECTS)

clean:
	@$(RM) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 

#make dependance
SRCS = $(OBJECTS:%.o=%.c)
dep :
	gcc -MM $(SRCS) > Dep.mk

-include Dep.mk

=== src/NWChem/Makefile ===
OBJECTS = NWChem.o NWChemMolecule.o NWChemKeywords.o NWChemGuess.o NWChemBasis.o NWChemGlobal.o

include ../../CONFIG
CFLAGS =  $(COMMONCFLAGS) $(GTKCFLAGS)

all: compiling 

%.o : %.c
	$(CC) -c $(CFLAGS) $< -o $@

compiling: $(OBJECTS)

clean:
	@$(RM) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 

#make dependance
SRCS = $(OBJECTS:%.o=%.c)
dep :
	gcc -MM $(SRCS) > Dep.mk

-include Dep.mk

=== src/Orca/Makefile ===
OBJECTS = Orca.o OrcaMolecule.o OrcaKeywords.o OrcaGuess.o OrcaBasis.o OrcaGlobal.o

include ../../CONFIG
CFLAGS =  $(COMMONCFLAGS) $(GTKCFLAGS)

all: compiling 

%.o : %.c
	$(CC) -c $(CFLAGS) $< -o $@

compiling: $(OBJECTS)

clean:
	@$(RM) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 

#make dependance
SRCS = $(OBJECTS:%.o=%.c)
dep :
	gcc -MM $(SRCS) > Dep.mk

-include Dep.mk

=== src/Psicode/Makefile ===
OBJECTS = Psicode.o PsicodeMolecule.o PsicodeKeywords.o PsicodeGuess.o PsicodeBasis.o PsicodeGlobal.o

include ../../CONFIG
CFLAGS =  $(COMMONCFLAGS) $(GTKCFLAGS)

all: compiling 

%.o : %.c
	$(CC) -c $(CFLAGS) $< -o $@

compiling: $(OBJECTS)

clean:
	@$(RM) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 

#make dependance
SRCS = $(OBJECTS:%.o=%.c)
dep :
	gcc -MM $(SRCS) > Dep.mk

-include Dep.mk

=== src/QChem/Makefile ===
OBJECTS = QChem.o QChemMolecule.o QChemRem.o QChemGuess.o QChemBasis.o QChemLib.o QChemGlobal.o

include ../../CONFIG
CFLAGS =  $(COMMONCFLAGS) $(GTKCFLAGS)

all: compiling 

%.o : %.c
	$(CC) -c $(CFLAGS) $< -o $@

compiling: $(OBJECTS)

clean:
	@$(RM) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 

#make dependance
SRCS = $(OBJECTS:%.o=%.c)
dep :
	gcc -MM $(SRCS) > Dep.mk

-include Dep.mk

=== debian/changelog ===
gabedit (2.5.1+ds-2) unstable; urgency=medium

  [ Daniel Leidert ]
  * d/copyright: Revert the removal of the DFSG-compatible spglib sources.
    The package is still built against libsymspg-dev.
  * d/watch: Don't repack the sources.

  [ Michael Banck ]
  * d/patches/fix_function_definition.patch: New patch, fixes build errors due
    to mismatching funtion definitions in header files (closes: #1066984).

 -- Michael Banck <mbanck@debian.org>  Sun, 16 Mar 2025 16:20:44 +0100

gabedit (2.5.1+ds-1) unstable; urgency=medium

  * Team upload.
  * Excluding embedded spglib source in favour of system-provided library
    (Closes: #996197)

 -- Andrius Merkys <merkys@debian.org>  Thu, 14 Oct 2021 04:41:32 -0400

gabedit (2.5.1-1) unstable; urgency=medium

  * New upstream release.

  [ Daniel Leidert ]
  * d/control (Standards-Version): Bump to 4.6.0.
    (Suggests, Description): Add workload managers which provide wrappers for
    PBS commands as pre-defined by gabedit.
  * d/copyright (Copyright): Update.
  * d/rules (DEB_BUILD_MAINT_OPTIONS): Enable hardening.
  * d/watch: Fix download of development versions.
  * d/tests/control: Disable due to backgrounded-test-command.
  * d/upstream/metadata: Drop unknown Homepage field.

  [ Michael Banck ]
  * d/control: Update homepage (closes: #980854).

  [ Simon McVittie ]
  * d/control: Remove unused b-d on pangox-compat (closes: #947667).

 -- Daniel Leidert <dleidert@debian.org>  Sat, 18 Sep 2021 18:46:48 +0200

=== debian/control ===
Source: gabedit
Section: science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Daniel Leidert <dleidert@debian.org>
Build-Depends: debhelper-compat (= 13),
               libgl1-mesa-dev | libgl-dev,
               libgl2ps-dev,
               libglib2.0-dev,
               libglu1-mesa-dev | libglu-dev,
               libgtk2.0-dev,
               libgtkglext1-dev,
               libsymspg-dev,
               libpango1.0-dev,
               pkg-config,
               xutils-dev
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://sites.google.com/site/allouchear/Home/gabedit
Vcs-Browser: https://salsa.debian.org/debichem-team/gabedit
Vcs-Git: https://salsa.debian.org/debichem-team/gabedit.git

Package: gabedit
Architecture: any
Depends: openbabel,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: mpqc
Suggests: a2ps,
          cups-bsd | lpr,
          ftp-ssl | ftp,
          openssh-client | rsh-client,
          openssh-client | ssh-client,
          slurm-wlm-torque | gridengine-client
Description: graphical user interface to Ab Initio packages
 Gabedit is a graphical user interface to computational chemistry
 packages like:
 .
  - MPQC
  - GAMESS-US
  - Gaussian
  - Molcas
  - Molpro
  - Q-Chem
 .
 These Ab Initio software packages might run locally or on a remote
 server (supporting FTP, RSH and SSH). Gabedit can display a variety
 of calculation results including most major molecular file formats.
 The advanced "Molecule Builder" allows one to rapidly sketch in
 molecules and examine them in 3D. Graphics can further be exported
 to various formats, including animations.
 .
 slurm-wlm-torque and gridengine-client are workload managers which
 provide wrappers for PBS commands. Gabedit also allows one to
 configure it for any other workload manager.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-include /usr/share/dpkg/buildtools.mk

PACKAGE=gabedit
INSTALL=/usr/bin/install

PKG_CONFIG   ?=  pkg-config
GTKLIB        = `$(PKG_CONFIG) --libs gtk+-2.0 gtkglext-1.0 pango`
GTKCFLAGS     = `$(PKG_CONFIG) --cflags gtk+-2.0 gtkglext-1.0 pango`
OGLLIB        = -lGL -lGLU
OGLCFLAGS     = -I/usr/include
LIBPTHREAD    = -lpthread
OMPLIB        = -lgomp
OMPCFLAGS     = -DENABLE_OMP -fopenmp
DRAWGEOMGL    = -DDRAWGEOMGL

COMMONCFLAGS ?= $(shell dpkg-buildflags --get CFLAGS)
COMMONCFLAGS += $(shell dpkg-buildflags --get CPPFLAGS)
COMMONCFLAGS += -DENABLE_DEPRECATED -fcommon
LDFLAGS      ?= $(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@

override_dh_auto_build:
	-ls -lA ../ ./ debian/
	dh_auto_build -- \
		external_gl2ps=1 \
		external_spglib=1 \
		GTKLIB="$(GTKLIB)" \
		GTKCFLAGS="$(GTKCFLAGS)" \
		OGLLIB="$(OGLLIB)" \
		OGLCFLAGS="$(OGLCFLAGS)" \
		LIBPTHREAD="$(LIBPTHREAD)" \
		OMPLIB="$(OMPLIB)" \
		OMPCFLAGS="$(OMPCFLAGS)" \
		DRAWGEOMGL="$(DRAWGEOMGL)" \
		COMMONCFLAGS="$(COMMONCFLAGS) $(OMPCFLAGS) $(DRAWGEOMGL)" \
		LDFLAGS="$(LDFLAGS)"

override_dh_install:
	dh_install
	for size in 16 24 32 48 ; do \
		$(INSTALL) -D -m 644 icons/Gabedit$${size}.png \
		    $(CURDIR)/debian/$(PACKAGE)/usr/share/icons/hicolor/$${size}x$${size}/apps/gabedit.png ; \
	done

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_installexamples:
	dh_installexamples
	chmod 644 $(CURDIR)/debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/examples/*
	
override_dh_compress:
	dh_compress usr/share/doc/$(PACKAGE)/examples/exampleGeoConv.gab

override_dh_auto_clean:
	dh_auto_clean -- external_spglib=1

=== debian/watch ===
# See uscan(1) for format

version=4

https://sf.net/gabedit/Gabedit(?:Src)?(\d)(\d)(\d+)(?:Src)?\.tar\.gz

#opts=uversionmangle=s%\.(\d{2})(\d{2})(\d{2})$%~20$3$2$1%g \
# https://sites.google.com/site/allouchear/Home/gabedit/download .*%2FGabedit(?:Src)?(\d)(\d)(\d+)(?:_(\d+?))?@ARCHIVE_EXT@%3Fdownload(?:&.+)?
